{
  services.photoprism = {
    enable = true;
    originalsPath = "/run/storage/aerial";
    settings = {
      PHOTOPRISM_ADMIN_USER = "koishi";
      PHOTOPRISM_FFMPEG_ENCODER = "intel";
      PHOTOPRISM_ORIGINALS_LIMIT = "-1";
      PHOTOPRISM_RESOLUTION_LIMIT = "-1";
    };
    passwordFile = "/var/lib/photoprism/password";
  };

  services.nginx.virtualHosts."raw.514fpv.io" = {
    useACMEHost = ".514fpv.io";
    addSSL = true;
    extraConfig = ''
      proxy_buffering off;
    '';
    locations."/" = {
      proxyPass = "http://127.0.0.1:2342";
      proxyWebsockets = true;
    };
  };

  environment.persistence."/nix/persist/fhs".directories = [
    "/var/lib/photoprism"
  ];
}
